#!/bin/sh

tmp=spextmp$$
pfx=@prefix@
inc=@includedir@
lib=@libdir@
libexecdir=@libexecdir@
CC="@CC@"


cleanup () {
        rm $tmp.*
}
trap cleanup INT HUP QUIT


# Exit immediately if a command exits  with  a  non-zero exit status.
set -e

includes="-I$inc -I."
defs="-DNOREDUCE -DSPEX"

cpp -I$inc $1 > $tmp.cpp
$libexecdir/spp < $tmp.cpp > $tmp.pro
$libexecdir/spexspin -DSPEX -a $tmp.pro

$CC $defs $includes -o spex.o -c $inc/spex.c
$CC -o spex spex.o -L$lib -lspex

cleanup
