#! /bin/sh

#exec /Utils/bin/B "$@"
file=$1
filebase=`echo $file | sed 's/.*\///g' `
# exec xterm -T $file -n $filebase -e vi "$@"
# exec xterm -T $file -n $filebase -e less "$@"

filedir=`echo $file | sed 's/\/[^\/]*$//g' `
fileext=`echo $filebase | sed 's/.*\.//g' `
fileroot=`echo $filebase | sed 's/\.[^\.]*$//g' `
echo "Debug xtorx-showspec filebase=$filebase fileext=$fileext fileroot=$fileroot"
case $filebase in
  *.aut)
       exec xterm -T $file -n $filebase -e less "$@"
    ;;
  *.bcg)
    # bcg_edit $file
    if [ -w $filedir -o -w $filedir/$fileroot.ps ]; then
       exec bcg_edit $file
    else
      exec xterm -T $file -n $filebase -e less "$@"
    fi
    ;;
  *.dot)
    exec anifsm -r  -t $fileroot $file < /dev/null > /dev/null
    ;;
  *)
    # exec xterm -T $file -n $filebase -e vi "$@"
    exec xterm -T $file -n $filebase -e less "$@"
    ;;
esac
