/*
 * set.h 
 *
 * Author: Rene G. de Vries
 * Date  : Thu Nov 15 18:48:17 CET 2001
 *
 * Extended: Axel Belinfante
 * Date: December 2001
 * Added: setforeach routine
 *
 */

#ifndef H__SET_H
#define H__SET_H

typedef struct sSettype *Settype;
typedef struct sSet *Set;

void     settest();
void     Printset(FILE*, Set);
void	 Printsets(FILE*, void (FILE *, int), Set, char*);
void	 setforeach(void (int, void*), void*, Set);

Settype  DeclaresetType(int);
Settype  Typeofset(Set);
Set      Newset(Settype);
void     Emptyset(Set);
void     Delset(Set);

void     Copyset(Set,Set);
void     Insertset(Set, int);
void     Removeset(Set, int);
void     Unionset(Set, Set, Set);
void     Intersectionset(Set, Set, Set);
void     Diffset(Set,Set,Set);

char     Isinset(Set,int);
char     Isemptyset(Set);

#endif /* H__SET_H */
